edu.wpi.first.wpilibj.hal

## Class PowerJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.PowerJNI

-     public class PowerJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getUserActive3V3()`
    `static boolean` | `getUserActive5V()`
    `static boolean` | `getUserActive6V()`
    `static double` | `getUserCurrent3V3()`
    `static double` | `getUserCurrent5V()`
    `static double` | `getUserCurrent6V()`
    `static int` | `getUserCurrentFaults3V3()`
    `static int` | `getUserCurrentFaults5V()`
    `static int` | `getUserCurrentFaults6V()`
    `static double` | `getUserVoltage3V3()`
    `static double` | `getUserVoltage5V()`
    `static double` | `getUserVoltage6V()`
    `static double` | `getVinCurrent()`
    `static double` | `getVinVoltage()`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerJNI

          public PowerJNI()

  - ### Method Detail

    - #### getVinVoltage

          public static double getVinVoltage()

    - #### getVinCurrent

          public static double getVinCurrent()

    - #### getUserVoltage6V

          public static double getUserVoltage6V()

    - #### getUserCurrent6V

          public static double getUserCurrent6V()

    - #### getUserActive6V

          public static boolean getUserActive6V()

    - #### getUserCurrentFaults6V

          public static int getUserCurrentFaults6V()

    - #### getUserVoltage5V

          public static double getUserVoltage5V()

    - #### getUserCurrent5V

          public static double getUserCurrent5V()

    - #### getUserActive5V

          public static boolean getUserActive5V()

    - #### getUserCurrentFaults5V

          public static int getUserCurrentFaults5V()

    - #### getUserVoltage3V3

          public static double getUserVoltage3V3()

    - #### getUserCurrent3V3

          public static double getUserCurrent3V3()

    - #### getUserActive3V3

          public static boolean getUserActive3V3()

    - #### getUserCurrentFaults3V3

          public static int getUserCurrentFaults3V3()